import Vuex from 'vuex'
import Vue from 'vue'
Vue.use(Vuex)
import UserStore from './modules/user'

const store = new Vuex.Store({
  state: {
    // 在此定义状态
    navHeight: 0
  },
  getters: {
    // 在此定义 getter 函数
    getNavHeight(state: any) {
      return state.navHeight
    }
  },
  mutations: {
    // 在此定义 mutation 函数
    setNavHeight(state: any, height: number) {
      state.navHeight = height
    }
  },
  actions: {
    // 在此定义 action 函数
    SetNavHeight({ commit }: any, height: number) {
      commit('setNavHeight', height)
    }
  },
  modules: {
    UserStore,
  }
})

export default store
