import { getUserInfo, setUserInfo } from '@/utils/util'

const prevUserInfo = getUserInfo()
export default {
  namespaced: true,
  state: {
    userInfo: prevUserInfo || {},
    registerInfo: {},
    isLogin: !!prevUserInfo
  },
  getters: {
    // 在此定义 getter 函数
    getUserInfo(state) {
      return state.userInfo
    }
  },
  mutations: {
    changeUserInfo(state, data) {
      state.userInfo = data
      state.isLogin = !!data
      setUserInfo(state.userInfo)
    }
  },
  actions: {
    setUserInfo({ commit }, data) {
      commit('changeUserInfo', data)
    }
  }
}
