// HTTP请求方法枚举
export enum HttpMethod {
  GET = 'GET',
  POST = 'POST',
  PUT = 'PUT',
  DELETE = 'DELETE'
}

// HTTP请求配置
export interface RequestConfig {
  /** API路径 */
  url?: string
  /** Method类型 */
  method?: HttpMethod
  /** 接口返回数据 */
  data?: any
  /** showLoading 加载中 */
  showLoading?: boolean
  /** hiddenToast 隐藏错误提示 */
  hiddenToast?: boolean
  /** loadingTitle 加载title */
  loadingTitle?: string
  /** Header头部 */
  header?: object
}

// 继承中间类型，data声明为any
interface AnyResult extends WechatMiniprogram.RequestSuccessCallbackResult {
  data: any
}

// 从中间类型继承一个泛型接口，data声明为泛型
export interface SpecResult<T> extends AnyResult {
  data: T
}

// 声明业务数据类型
export interface MyAwesomeData {
  code: number
  msg: string
  data: any
  rows?: any
  total?: number
}
